### Function

# FwupdPlugin bytes_set_contents

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_bytes_set_contents (
      const gchar* filename,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Writes a blob of data to a filename, creating the parent directories as required.

Available since: 1.8.2

#### Parameters

`filename`

  Type: `const gchar*`

  A filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  Data to write.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.